# RenderConstants

#### module:RenderConstants

##### Properties:

Name | Type | Description
--- | --- | ---
`ID_NONE` | int | The ID value to use for "no item" or when an object has been disposed.
`SKIN_SHARE_SOFT_LIMIT` | int | Optimize for fewer than this number of Drawables sharing the same Skin. Going above this may cause middleware warnings or a performance penalty but should otherwise behave correctly.
`Events` | string |

Various constants meant for use throughout the renderer.

### Members

#### (static) Events :string

Default Value:
  - {"NativeSizeChanged":"NativeSizeChanged"}

##### Properties:

Name | Type | Description
--- | --- | ---
`NativeSizeChanged` | string |

##### Type:

- string

#### (static, constant) ID_NONE :int

Default Value:
  - -1

The ID value to use for "no item" or when an object has been disposed.

##### Type:

- int

#### (static, constant) SKIN_SHARE_SOFT_LIMIT :int

Default Value:
  - 301

Optimize for fewer than this number of Drawables sharing the same Skin. Going above this may cause middleware warnings or a performance penalty but should otherwise behave correctly.

##### Type:

- int